Bug 20820 - unable to change permissions on local drives
unable to change permissions on local drives
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2000-11-14 01:20 EST by Need Real Name
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-14 22:38:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-11-14 01:20:25 EST
I am running Red Hat Linux 7.0 on a PII 266Mhz with 96mb ram. The system is
running off a 9 gig SCSI drive, and I have a 13.7 gig IDE and a 60 gig IDE
drive that I am trying to mount. There are two partitions on the 60 gig,
(hda1 and hda5) and one on the 13.7 gig (hdb1). I can mount all three
partitions as root, however, when I look at the file permissions (as any
user, including root) and make changes to them, the changes do not take
effect. When I view the permissions again, they are in their origional
state. Additionally, subsequent mounts of the drives sometimes result in
seemingly random permissions, (such as 0775 or 0002). Needless to say,
other users on the system cannot write to the drives or even read from them
sometimes. I set the permissions of the directories the drives are being
mounted to, (0777) and it appears as such when the drive is unmounted.
However, as soon as the drive is mounted, the permission changes to 0000 9
times out of 10. The other time it will be a strange permission like 0002
or 0775. Once the drive is unmounted, the permission on the directory
appears again as 0777.  After discussing this with several other Linux
users, I can only conclude that this is a bug. Any help would be
appreciated. Thanks

John Finlay
Comment 1 Bernhard Rosenkraenzer 2000-11-14 11:24:39 EST
I can't reproduce this, and the mount program definitely doesn't change permissions.
If this is a Linux problem, it's a kernel problem, though I'd think it's something else.

Are you using a strange filesystem? Or running an automounting daemon or kernel patch that changes permissions?
Comment 2 Need Real Name 2000-11-14 19:18:18 EST
The filesystem on the system drive is native Linux, and the file systems on the 
other three partitions / drives are all vfat (windows FAT32) There are no 
autoloading daemons running. I have not made any changes to the kernel either, 
its straight "Out of the box".
Comment 3 Perry Harrington 2000-12-07 03:41:53 EST
The VFAT filesystem doesn't have any permission scheme of it's own.  The
solution is to add the permissions mask to the mount options in /etc/fstab.  The
VFAT filesystem will not retain any permissions that you attempt to set while
it's mounted.  Do a 'man mount' and look at the options for the fat filesystem
type.  There are various permissions options relating to uid, gid, and umask.

Note You need to log in before you can comment on or make changes to this bug.